x=xlsread('E:\works\项目\MC100\电机台架数据\鲨湾96v电机145外特性.xlsx','MAP1','B2:B105');
y=xlsread('E:\works\项目\MC100\电机台架数据\鲨湾96v电机145外特性.xlsx','MAP1','C2:C105'); 
z=xlsread('E:\works\项目\MC100\电机台架数据\鲨湾96v电机145外特性.xlsx','MAP1','S2:S105');
x=abs(x);
[X,Y]=meshgrid([min(x):max(x)],[min(y):max(y)]);
Z = griddata(x,y,z,X,Y);
round(Z,1);
pcolor(X,Y,Z);
shading interp;hold on;colormap(jet);colorbar;
[C,H]=contour(X,Y,Z,35,'k');
A=xlabel('转 速 (rpm)');
B=ylabel('功率(kW)');
set(A,'Fontangle','normal','FontName','宋体','FontSize',15);
set(B,'Fontangle','normal','FontName','宋体','FontSize',15);
set(findobj('FontSize',10),'FontSize',15);
clabel(C,H,'fontsize',10,'color','k');
title('电机效率MAP')